/square-terminal | Type: Application | PCID required: Yes
Tools
square_terminal_accept_dispute
AcceptDispute Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dispute_id | string | Yes | — | The ID of the dispute you want to accept. |
square_terminal_bulk_create_vendors
BulkCreateVendors Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
vendors | object | Yes | — | Specifies a set of new Vendor objects as represented by a collection of idempotency-key/Vendor-object pairs. |
square_terminal_bulk_retrieve_vendors
BulkRetrieveVendors Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
vendor_ids | string[] | No | — | IDs of the Vendor objects to retrieve. |
square_terminal_bulk_update_vendors
BulkUpdateVendors Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
vendors | object | Yes | — | A set of UpdateVendorRequest objects encapsulating to-be-updated Vendor objects. The set is represented by a collection of Vendor-ID/UpdateVendorRequest-object pairs. |
square_terminal_cancel_terminal_action
CancelTerminalAction Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
action_id | string | Yes | — | Unique ID for the desired TerminalAction. |
square_terminal_cancel_terminal_checkout
CancelTerminalCheckout Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
checkout_id | string | Yes | — | The unique ID for the desired TerminalCheckout. |
square_terminal_cancel_terminal_refund
CancelTerminalRefund Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
terminal_refund_id | string | Yes | — | The unique ID for the desired TerminalRefund. |
square_terminal_cancel_transfer_order
CancelTransferOrder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transfer_order_id | string | Yes | — | The ID of the transfer order to cancel. Must be in STARTED or PARTIALLY_RECEIVED status. |
idempotency_key | string | Yes | — | A unique string that identifies this UpdateTransferOrder request. Keys can be any valid string but must be unique for every UpdateTransferOrder request. |
version | integer | No | — | Version for optimistic concurrency |
square_terminal_create_device_code
CreateDeviceCode Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
device_code | object | Yes | — | Device Code |
idempotency_key | string | Yes | — | A unique string that identifies this CreateDeviceCode request. Keys can be any valid string but must be unique for every CreateDeviceCode request. See Idempotency keys for more information. |
square_terminal_create_dispute_evidence_file
CreateDisputeEvidenceFile Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dispute_id | string | Yes | — | The ID of the dispute for which you want to upload evidence. |
image_file | string | No | — | Image File |
request | object | No | — | Defines the parameters for a CreateDisputeEvidenceFile request. |
square_terminal_create_dispute_evidence_text
CreateDisputeEvidenceText Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dispute_id | string | Yes | — | The ID of the dispute for which you want to upload evidence. |
evidence_text | string | Yes | — | The evidence string. |
evidence_type | string | No | — | The type of the dispute evidence. |
idempotency_key | string | Yes | — | A unique key identifying the request. For more information, see Idempotency. |
square_terminal_create_terminal_action
CreateTerminalAction Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
action | object | Yes | — | Represents an action processed by the Square Terminal. |
idempotency_key | string | Yes | — | A unique string that identifies this CreateAction request. Keys can be any valid string but must be unique for every CreateAction request. See Idempotency keys for more information. |
square_terminal_create_terminal_checkout
CreateTerminalCheckout Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
checkout | object | Yes | — | Represents a checkout processed by the Square Terminal. |
idempotency_key | string | Yes | — | A unique string that identifies this CreateCheckout request. Keys can be any valid string but must be unique for every CreateCheckout request. See Idempotency keys for more information. |
square_terminal_create_terminal_refund
CreateTerminalRefund Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idempotency_key | string | Yes | — | A unique string that identifies this CreateRefund request. Keys can be any valid string but must be unique for every CreateRefund request. See Idempotency keys for more information. |
refund | object | No | — | Represents a payment refund processed by the Square Terminal. Only supports Interac (Canadian debit network) payment refunds. |
square_terminal_create_transfer_order
CreateTransferOrder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idempotency_key | string | Yes | — | A unique string that identifies this CreateTransferOrder request. Keys can be any valid string but must be unique for every CreateTransferOrder request. |
transfer_order | object | Yes | — | Data for creating a new transfer order to move CatalogItemVariations between Locations. Used with the CreateTransferOrder endpoint. |
square_terminal_create_vendor
CreateVendor Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idempotency_key | string | Yes | — | A client-supplied, universally unique identifier (UUID) to make this CreateVendor call idempotent. See Idempotency in the API Development 101 section for more information. |
vendor | object | No | — | Represents a supplier to a seller. |
square_terminal_delete_dispute_evidence
DeleteDisputeEvidence Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dispute_id | string | Yes | — | The ID of the dispute from which you want to remove evidence. |
evidence_id | string | Yes | — | The ID of the evidence you want to remove. |
square_terminal_delete_transfer_order
DeleteTransferOrder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transfer_order_id | string | Yes | — | The ID of the transfer order to delete |
version | integer | No | — | Version for optimistic concurrency |
square_terminal_dismiss_terminal_action
DismissTerminalAction Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
action_id | string | Yes | — | Unique ID for the TerminalAction associated with the action to be dismissed. |
square_terminal_dismiss_terminal_checkout
DismissTerminalCheckout Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
checkout_id | string | Yes | — | Unique ID for the TerminalCheckout associated with the checkout to be dismissed. |
square_terminal_dismiss_terminal_refund
DismissTerminalRefund Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
terminal_refund_id | string | Yes | — | Unique ID for the TerminalRefund associated with the refund to be dismissed. |
square_terminal_get_action
GetTerminalAction Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
action_id | string | Yes | — | Unique ID for the desired TerminalAction. |
square_terminal_get_checkout
GetTerminalCheckout Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
checkout_id | string | Yes | — | The unique ID for the desired TerminalCheckout. |
square_terminal_get_device
GetDevice Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
device_id | string | Yes | — | The unique ID for the desired Device. |
square_terminal_get_device_code
GetDeviceCode Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The unique identifier for the device code. |
square_terminal_get_refund
GetTerminalRefund Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
terminal_refund_id | string | Yes | — | The unique ID for the desired TerminalRefund. |
square_terminal_list_device_codes
ListDeviceCodes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A pagination cursor returned by a previous call to this endpoint. Provide this to retrieve the next set of results for your original query. See Paginating results for more information. |
location_id | string | No | — | If specified, only returns DeviceCodes of the specified location. Returns DeviceCodes of all locations if empty. |
product_type | string | No | — | If specified, only returns DeviceCodes targeting the specified product type. Returns DeviceCodes of all product types if empty. |
status | string | No | — | If specified, returns DeviceCodes with the specified statuses. Returns DeviceCodes of status PAIRED and UNPAIRED if empty. |
square_terminal_list_devices
ListDevices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query. See Pagination for more information. |
sort_order | string | No | — | The order in which results are listed. - ASC - Oldest to newest. - DESC - Newest to oldest (default). |
limit | integer | No | — | The number of results to return in a single page. |
location_id | string | No | — | If present, only returns devices at the target location. |
square_terminal_list_dispute_evidence
ListDisputeEvidence Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dispute_id | string | Yes | — | The ID of the dispute. |
cursor | string | No | — | A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query. For more information, see Pagination. |
square_terminal_list_disputes
ListDisputes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query. For more information, see Pagination. |
states | string | No | — | The dispute states used to filter the result. If not specified, the endpoint returns all disputes. |
location_id | string | No | — | The ID of the location for which to return a list of disputes. If not specified, the endpoint returns disputes associated with all locations. |
square_terminal_receive_transfer_order
ReceiveTransferOrder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transfer_order_id | string | Yes | — | The ID of the transfer order to receive items for |
idempotency_key | string | Yes | — | A unique key to make this request idempotent |
receipt | object | Yes | — | The goods receipt details for a transfer order. This object represents a single receipt of goods against a transfer order, tracking: - Which CatalogItemVariations were received - Quantities received in good condition - Quantities damaged during transit/handling - Quantities canceled during receipt Multiple goods receipts can be created for a single transfer order to handle: - Partial deliveries - Multiple shipments - Split receipts across different dates - Cancellations of specific quantities Each receipt automatically: - Updates the transfer order status - Adjusts received quantities - Updates inventory levels at both source and destination Locations |
version | integer | No | — | Version for optimistic concurrency |
square_terminal_retrieve_dispute
RetrieveDispute Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dispute_id | string | Yes | — | The ID of the dispute you want more details about. |
square_terminal_retrieve_dispute_evidence
RetrieveDisputeEvidence Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dispute_id | string | Yes | — | The ID of the dispute from which you want to retrieve evidence metadata. |
evidence_id | string | Yes | — | The ID of the evidence to retrieve. |
square_terminal_retrieve_transfer_order
RetrieveTransferOrder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transfer_order_id | string | Yes | — | The ID of the transfer order to retrieve |
square_terminal_retrieve_vendor
RetrieveVendor Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
vendor_id | string | Yes | — | ID of the Vendor to retrieve. |
square_terminal_search_terminal_actions
SearchTerminalActions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A pagination cursor returned by a previous call to this endpoint. Provide this to retrieve the next set of results for the original query. See Pagination for more information. |
limit | integer | No | — | Limit the number of results returned for a single request. |
query | object | No | — | Search query string |
square_terminal_search_terminal_checkouts
SearchTerminalCheckouts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query. See Pagination for more information. |
limit | integer | No | — | Limits the number of results returned for a single request. |
query | object | No | — | Search query string |
square_terminal_search_terminal_refunds
SearchTerminalRefunds Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query. |
limit | integer | No | — | Limits the number of results returned for a single request. |
query | object | No | — | Search query string |
square_terminal_search_transfer_orders
SearchTransferOrders Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Pagination cursor from a previous search response |
limit | integer | No | — | Maximum number of results to return (1-100) |
query | object | No | — | Query parameters for searching transfer orders |
square_terminal_search_vendors
SearchVendors Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A pagination cursor returned by a previous call to this endpoint. Provide this to retrieve the next set of results for the original query. See the Pagination guide for more information. |
filter | object | No | — | Defines supported query expressions to search for vendors by. |
sort | object | No | — | Defines a sorter used to sort results from SearchVendors. |
square_terminal_start_transfer_order
StartTransferOrder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transfer_order_id | string | Yes | — | The ID of the transfer order to start. Must be in DRAFT status. |
idempotency_key | string | Yes | — | A unique string that identifies this UpdateTransferOrder request. Keys can be any valid string but must be unique for every UpdateTransferOrder request. |
version | integer | No | — | Version for optimistic concurrency |
square_terminal_submit_evidence
SubmitEvidence Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dispute_id | string | Yes | — | The ID of the dispute for which you want to submit evidence. |
square_terminal_update_transfer_order
UpdateTransferOrder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
transfer_order_id | string | Yes | — | The ID of the transfer order to update |
idempotency_key | string | Yes | — | A unique string that identifies this UpdateTransferOrder request. Keys must contain only alphanumeric characters, dashes and underscores |
transfer_order | object | Yes | — | Data model for updating a transfer order. All fields are optional. |
version | integer | No | — | Version for optimistic concurrency |
square_terminal_update_vendor
UpdateVendor Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idempotency_key | string | No | — | A client-supplied, universally unique identifier (UUID) for the request. See Idempotency in the API Development 101 section for more information. |
vendor | object | Yes | — | Represents a supplier to a seller. |

